jQuery(document).ready(function ($) {
    //$("img.lazy").lazyload();
    hideItems(initial_items);
    updateFilterCounts();
});

jQuery(".grid-item:visible img.lazy[data-original]").each(function() {
    if (jQuery(this).attr('src') != jQuery(this).attr('data-original')) {
        jQuery(this).attr('src' , jQuery(this).attr('data-original') );
    }
});


var $grid = $('.grid').isotope({
    itemSelector: '.grid-item',
    percentPosition: true,
    masonry: {
        // use outer width of grid-sizer for columnWidth
        columnWidth: '.grid-sizer',
        horizontalOrder: true,
        gutter: '.gutter-sizer'
    },
    filter: "*",
});


//$('.grid').imagesLoaded().progress( function() {
window.setTimeout(function() {
    $('.grid').isotope('layout');
}, 1000);

    //updateFilterCounts();
//});


// filter items on button click
$('.filter-button-group').on( 'click', 'button', function() {
    var filterValue = $(this).attr('data-filter');
    $grid.isotope({ filter: filterValue });
    updateFilterCounts();
    //$("img.lazy").lazyload();
    jQuery(".grid-item:visible img.lazy[data-original]").each(function() {
        if (jQuery(this).attr('src') != jQuery(this).attr('data-original')) {
            jQuery(this).attr('src' , jQuery(this).attr('data-original') );
        }
    });
});

// change is-checked class on buttons
$('.button-group').each( function( i, buttonGroup ) {
    var $buttonGroup = $( buttonGroup );
    $buttonGroup.on( 'click', 'button', function() {
        $buttonGroup.find('.is-checked').removeClass('is-checked');
        $( this ).addClass('is-checked');
    });
});


var initial_items = 12;
var next_items = 6;

function updateFilterCounts() {
    // get filtered item elements
    var itemElems = $grid.isotope('getFilteredItemElements');
    var count_items = $(itemElems).length;

    if (count_items > initial_items) {
        $('#showMore').show();
    }
    else {
        $('#showMore').hide();
    }
    if ($('.grid-item').hasClass('visible_item')) {
        $('.grid-item').removeClass('visible_item');
    }
    var index = 0;

    $(itemElems).each(function () {
        if (index >= initial_items) {
            $(this).addClass('visible_item');
        }
        index++;
    });
    $grid.isotope('layout');
}

function showNextItems(pagination) {
    var itemsMax = $('.visible_item').length;
    var itemsCount = 0;
    $('.visible_item').each(function () {
        if (itemsCount < pagination) {
            $(this).removeClass('visible_item');
            itemsCount++;
        }
    });
    if (itemsCount >= itemsMax) {
        $('#showMore').hide();
    }
    $grid.isotope('layout');
}
// function that hides items when page is loaded
function hideItems(pagination) {
    var itemsMax = $('.element-item').length;
    var itemsCount = 0;
    $('.element-item').each(function () {
        if (itemsCount >= pagination) {
            $(this).addClass('visible_item');
        }
        itemsCount++;
    });
    if (itemsCount < itemsMax || initial_items >= itemsMax) {
        $('#showMore').hide();
    }
    $grid.isotope('layout');
}
$('#showMore').on('click', function (e) {
    e.preventDefault();
    showNextItems(next_items);
});





//****************************
// Isotope Load more button
//****************************
/*var initShow = 12; //number of items loaded on init & onclick load more button
var counter = initShow; //counter for load more button
var iso = $grid.data('isotope'); // get Isotope instance

loadMore(initShow); //execute function onload

function loadMore(toShow) {
    $grid.find(".hidden").removeClass("hidden");

    var hiddenElems = iso.filteredItems.slice(toShow, iso.filteredItems.length).map(function(item) {
        return item.element;
    });
    $(hiddenElems).addClass('hidden');
    $grid.isotope('layout');

    //when no more to load, hide show more button
    if (hiddenElems.length == 0) {
        jQuery("#load-more").hide();
    } else {
        jQuery("#load-more").show();
    };

}

//append load more button
$grid.after('<div class="text-center"><button class="btn btn-default" id="load-more"> weitere laden</button></div>');

//when load more button clicked
$("#load-more").click(function() {
    if ($('#filters').data('clicked')) {
        //when filter button clicked, set initial value for counter
        counter = initShow;
        $('#filters').data('clicked', false);
    } else {
        counter = counter;
    };

    counter = counter + initShow;

    loadMore(counter);
});
*/



